import { OnInit, EventEmitter } from '@angular/core';
import { NgbDateStruct } from '@ng-bootstrap/ng-bootstrap';
import { DateType } from './consts';
import { DateFormatterService } from './date-formatter.service';
export declare class HijriGregorianDatepickerComponent implements OnInit {
    private dateFormatterService;
    selectedDateType: DateType;
    selectedDate: NgbDateStruct;
    selectedDateChange: EventEmitter<NgbDateStruct>;
    label: string;
    readonly: boolean;
    isRequired: boolean;
    disabled: boolean;
    minHijri: NgbDateStruct;
    maxHijri: NgbDateStruct;
    minGreg: NgbDateStruct;
    maxGreg: NgbDateStruct;
    hijriLabel: string;
    GregLabel: string;
    readonly DateType: typeof DateType;
    constructor(dateFormatterService: DateFormatterService);
    ngOnInit(): void;
    getSelectedDate(): string;
    dateSelected(): void;
    hijriClick(): void;
    gregClick(): void;
}
